Upgrading to 3.8.1 makes RT themeless

Hi,

I’ve been using RT for quite a few years and only just today
decided to upgrade my 3.6.5 installation to the newest. Prior
to the upgrade, RT was running under a basic 3.6 theme. After
I upgraded (which took a while because of the additional
Perl module requirements), the login screen became themeless.
I’m using Slackware distro under 2.6 kernel. Apache is
2.0.52. Perl 5.8.8.

As far as I’ve seen in the RT_Config.pm, I didn’t need to
set anything.

I’ve scanned the archives and came up with possible solutions:

  1. Browser caching issue. (I deleted my browser’s cache,
    but to no avail.)
  2. Mason cache. (I also deleted var/mason/obj’s contents,
    and also to no avail.)
  3. Permission issues? I’m not entirely convinced it is
    a permission issue, but I could be wrong. Is the
    share/ folder supposed to be owned by rt.rt and
    with rwx : 755?

Browser-wise, Javascript is turned on. No proxies used.
I’ve located the CSS files and they seem to be read ok.
(No errors in the Apache logs).

I’m quite stumped since the BestPractical Logo is visible
so the images should appear at least.

Can someone point me in the right direction as to
what I might be doing wrong?

Thanks

Edmund

[Side Note: I had major trouble with getting Data::ICal
installed. The solution to my problem was
simply because I didn’t have the latest
’required’ modules for Data::ICal. While
the readme file listed only Classes::Accessosr,
Data::ICal also required Test::More, Test::LongString
and Test::Warn. After I had installed those and
their requirements, Data::ICal finally succeeded
in all the tests and was installed properly.]

[Side Note: I had major trouble with getting Data::ICal
installed. The solution to my problem was
simply because I didn’t have the latest
’required’ modules for Data::ICal. While
the readme file listed only Classes::Accessosr,
Data::ICal also required Test::More, Test::LongString
and Test::Warn. After I had installed those and
their requirements, Data::ICal finally succeeded
in all the tests and was installed properly.]

I see those items listed in the Makefile.PL Can you paste the error you
saw?